# Execute Instant Order

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Instant Orders", href: "/trading/rest-api/instant-orders" },
    { label: "Execute Instant Order" },
  ]}
  title="Execute Instant Order"
  method="POST"
  url="https://api.gemini.com/v1/instant/execute"
  description="Executes a previously issued instant quote. The symbol, side, quantity, price, fee, and quoteId must all match the values returned by Get Instant Quote."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/instant/execute",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/instant/execute",
        nonce: "<nonce>",
        symbol: "BTCUSD",
        side: "buy",
        quantity: "0.01505181",
        price: "6445.07",
        fee: "2.9900309233",
        quoteId: 1328,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>orders:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="executeInstantOrder" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="executeInstantOrder" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="executeInstantOrder" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Instant Quote", href: "/trading/rest-api/instant-orders/get-instant-quote" }}
/>
